It's all about the answers!

Ask a question

Trying to update RAM client 7.2.x on RSA 7.5.5.1


Michael Payne (56175) | asked Jan 26 '11, 2:49 p.m.
We updated our RAM server to 7.5. Currently have RAM Client 7.2 installed and won't connect anymore. Trying to upgrade the RAM Client to 7.5.1. However, I'm getting dependency errors from the update site.


Cannot complete the request. See the details.
Rational Asset Manager Eclipse client is already installed, so an update will be performed instead.
Cannot find a solution where both "com.ibm.ram.common " and "com.ibm.ram.common " are satisfied.
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.ws.axis.consumption.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.ejb.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.ws.consumption.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jem/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/
Cannot find a solution where both "bundle com.ibm.ram.rich.ui.extension requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common.modulecore/
Cannot find a solution where both "bundle com.ibm.ram.common requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.common/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.web/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jem.util/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.common.project.facet.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.ws.consumption/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.validation/
Cannot find a solution where both "bundle com.ibm.ram.rich.core requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.jsdt.web.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.common.annotations.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.ws.creation.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common.snippets/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.servlet.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.navigator.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.css.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/
Cannot find a solution where both "com.ibm.ram.common " and "com.ibm.ram.common " are satisfied.
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common.emf/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.html.ui/
Cannot find a solution where both "bundle com.ibm.ram.rich.ui.extension requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.xml.ui/
Cannot find a solution where both "bundle com.ibm.ram.common requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.debug.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.html.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.ejb/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.jsdt.core/
Cannot find a solution where both "bundle com.ibm.ram.client requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jdt.junit/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.webservice/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.team.core/
Cannot find a solution where both "com.ibm.ram.common " and "com.ibm.ram.common " are satisfied.
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.core.filesystem/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.sse.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jdt.compiler.tool/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.jsdt.ui/
Cannot find a solution where both "bundle com.ibm.ram.rich.core requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.ws.explorer/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.emf.edit.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.server.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.internet.monitor.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.ant.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.web/
Cannot find a solution where both "bundle com.ibm.ram.rich.ui.extension requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.sse.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.internet.monitor.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.xml.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.dtd.core/
Cannot find a solution where both "bundle com.ibm.ram.client requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.ant.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.wsdl/
Cannot find a solution where both "com.ibm.ram.common " and "com.ibm.ram.common " are satisfied.
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.emf.codegen.ecore/
Cannot find a solution where both "bundle com.ibm.ram.rich.core requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.server.core/
Cannot find a solution where both "bundle com.ibm.ram.rich.ui.extension requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.core.contenttype/
Cannot find a solution where both "bundle com.ibm.ram.client " and "com.ibm.ram.common " are satisfied.
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.equinox.app/
Cannot find a solution where both "bundle com.ibm.ram.rich.core " and "com.ibm.ram.common " are satisfied.
Cannot find a solution where both "bundle com.ibm.ram.rich.core " and "com.ibm.ram.common " are satisfied.
Cannot find a solution where both "bundle com.ibm.ram.rich.core requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity.oda.designer.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.modelbase.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/com.ibm.ram.client.nl/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/com.ibm.ram.rich.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/com.ibm.ram.rich.ui.extension.nl/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/com.ibm.ram.client/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/com.ibm.ram.common/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/com.ibm.ram.applets/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/com.ibm.ram.rich.ui.extension/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/com.ibm.ram.rich.core.nl/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.enablement.oda.designer.feature.feature.group/1.5.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.birt.report.data.oda.jdbc.dbprofile.sqlbuilder.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.xml_ui.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.ws_core.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.ws.explorer/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.emf.edit.ui.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.emf.edit.ui/
Unsatisfied dependency: requiredCapability: osgi.bundle/com.ibm.ram.rich.core/ requiredCapability: osgi.bundle/com.ibm.ram.rich.core/ requiredCapability: osgi.bundle/com.ibm.ram.rich.ui.extension/ requiredCapability: osgi.bundle/com.ibm.ram.rich.ui.extension/ requiredCapability: osgi.bundle/com.ibm.ram.rich.ui.extension/ requiredCapability: osgi.bundle/com.ibm.ram.rich.ui.extension/ requiredCapability: osgi.bundle/com.ibm.ram.common/ requiredCapability: osgi.bundle/com.ibm.ram.rich.core/ requiredCapability: osgi.bundle/com.ibm.ram.rich.core/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.debug.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.team.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.help.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.core.filesystem/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.birt.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jem.util/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.validation/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common.modulecore/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common.emf/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.common.project.facet.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jdt.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common_ui.feature.feature.group/ requiredCapability: osgi.bundle/com.ibm.ram.rich.core/7.5.1
Unsatisfied dependency: requiredCapability: osgi.bundle/com.ibm.ram.rich.core/7.5.1
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.emf.codegen.ecore.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.emf.edit.ui.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.server.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.internet.monitor.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.ant.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jdt.compiler.tool/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jdt.junit/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: osgi.bundle/com.ibm.ram.applets/ requiredCapability: osgi.bundle/com.ibm.ram.rich.core/ requiredCapability: osgi.bundle/com.ibm.ram.rich.core/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.modelbase.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.enablement.jdbc.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.enablement.oda.designer.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.server_core.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.internet.monitor.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.server.ui/
Unsatisfied dependency: requiredCapability: osgi.bundle/com.ibm.ram.client/7.5.1
Unsatisfied dependency: requiredCapability: osgi.bundle/com.ibm.ram.client/7.5.1
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.wsdl/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.jsdt.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.ws_core.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.html.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.xml_core.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common_core.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.web/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.server_core.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.emf.feature.group/2.2.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common_core.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common.snippets/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.modelbase.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.jsdt.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.jsdt.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.sqldevtools.sqlbuilder.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.enablement.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jdt.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.web/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jdt.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.emf.edit.ui.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.common/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.web_core.feature.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.common.annotations.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jem/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.dtd.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.sse.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.xml.core/
Unsatisfied dependency: requiredCapability: osgi.bundle/com.ibm.ram.client/ requiredCapability: osgi.bundle/com.ibm.ram.client/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.emf.codegen.ecore/
Unsatisfied dependency: requiredCapability: osgi.bundle/com.ibm.ram.common/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.ant.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.group/
Unsatisfied dependency: requiredCapability: osgi.bundle/com.ibm.ram.common/ requiredCapability: osgi.bundle/com.ibm.ram.rich.ui.rtc/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.xml.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.emf.edit.ui.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.xml_core.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.sse.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common_ui.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity.oda.designer.feature.feature.group/1.5.0
Unsatisfied dependency: requiredCapability: osgi.bundle/com.ibm.ram.rich.core/ requiredCapability: osgi.bundle/com.ibm.ram.rich.core/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.ws.axis.consumption.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.ws.consumption/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.servlet.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.ws.consumption.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_core.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.ws.creation.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.ejb.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.navigator.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.ejb/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.webservice/
Unsatisfied dependency: requiredCapability: osgi.bundle/com.ibm.ram.client/ requiredCapability: osgi.bundle/com.ibm.ram.client/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.modelbase.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.emf.edit.ui.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.web_core.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.web_ui.feature.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jdt.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.jsdt.web.core/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.jsdt.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.server_ui.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.css.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.ws_ui.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.web_core.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common_ui.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.xml_ui.feature.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.html.ui/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.web_ui.feature.feature.group/1.0.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_ui.feature.feature.group/1.0.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.web_ui.feature.feature.group/1.0.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common_ui.feature.feature.group/1.0.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.common_core.feature.feature.group/1.0.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.web_core.feature.feature.group/1.0.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common_core.feature.feature.group/1.0.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.birt.example.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.birt.report.designer.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.modelbase.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.emf.feature.group/2.2.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.pde.feature.group/3.3.3
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.sqldevtools.results.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.enablement.jdbc.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.sqldevtools.parsers.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.emf.feature.group/2.2.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.modelbase.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: osgi.bundle/com.ibm.ram.rich.ui.extension/7.5.1
Unsatisfied dependency: requiredCapability: osgi.bundle/com.ibm.ram.rich.ui.extension/7.5.1
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.equinox.app/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.core.contenttype/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity.oda.designer.feature.feature.group/1.6.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common_ui.feature.feature.group/1.0.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.common_core.feature.feature.group/1.0.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.web_core.feature.feature.group/1.0.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.common_core.feature.feature.group/1.0.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.wst.web_ui.feature.feature.group/1.0.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_ui.feature.feature.group/1.0.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.web_ui.feature.feature.group/1.0.0
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.birt.integration.wtp.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.birt.chart.integration.wtp.feature.group/
Unsatisfied dependency: requiredCapability: org.eclipse.equinox.p2.iu/com.ibm.ram.rich.feature.group/ requiredCapability: org.eclipse.equinox.p2.iu/c

5 answers



permanent link
Michael Payne (56175) | answered Jan 26 '11, 4:02 p.m.
I just uninstalled the 7.2 client and installed the 7.5 client and seems to work. However, it doesn't seem 7.5 is backward compatible to 7.2? I can no longer connect to 7.2 RAM server. It says the service is unavailable. When I look at my other RSA development environment that I didn't upgrade the RAM client yet, it can still connect to 7.2 server.

permanent link
Srimanth Gunturi (206125) | answered Jan 26 '11, 6:53 p.m.
JAZZ DEVELOPER
A 7.5.0.x client should be able to connect to a 7.2.0.x server. Can you
please make sure there are no firewalls involved? Also can you please
provide any client logs containing exceptions when you try to connect?
Regards,
Srimanth.

On 1/26/2011 4:08 PM, mpayne2 wrote:
I just uninstalled the 7.2 client and installed the 7.5 client and
seems to work. However, it doesn't seem 7.5 is backward compatible
to 7.2? I can no longer connect to 7.2 RAM server. It says the
service is unavailable. When I look at my other RSA development
environment that I didn't upgrade the RAM client yet, it can still
connect to 7.2 server.

permanent link
Steven Pogue (7142) | answered Jan 28 '11, 10:00 a.m.
I, too, am faced with upgrading my 7.2 client (which was installed from the previous RAM 7.2 server update site). Now that the server has been upgraded to RAM 7.5, I tried to upgrade via Eclipse and the new update site but there are dependency conflicts that cannot be resolved. What is the proper way to do this upgrade?

permanent link
Michael Payne (56175) | answered Jan 28 '11, 10:06 a.m.
I uninstalled the RAM 7.2 client completely and installed the RAM 7.5 client. After a while, a couple of refreshes and a restart of RSA, I am now able to connect to both. Not sure why I was having trouble connecting to RAM 2.0 earlier.

permanent link
Rich Kulp (3.6k38) | answered Jan 28 '11, 3:08 p.m.
FORUM MODERATOR / JAZZ DEVELOPER
Did you select the category that said must be used to migrate from 7.2
to 7.5?

It says exactly:

Required for existing 7.2.0.1 or earlier clients

If current Rational Asset Manager client installation is 7.2.0.1 or
before, then this category is required and must be selected.


--
Rich Kulp
Rational Asset Manager developer

Your answer


Register or to post your answer.